Package fr.gouv.vitam.common.dsl.schema.meta

# Class ObjectFormat

java.lang.Object
fr.gouv.vitam.common.dsl.schema.meta.Format
fr.gouv.vitam.common.dsl.schema.meta.ObjectFormat

public class ObjectFormat extends Format

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFormat()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `debugInfo()`
  Return a short partial description of the type, useful of DSL users
  `protected void`
  `resolve(Schema schema)`
  Second phase of initialization, when the Format is associated to the Schema
  `void`
  `setElements(Map<String,Format> elements)`
  Accessor for Jackson set the map of the properties allowed for the object.
  `void`
  `validate(com.fasterxml.jackson.databind.JsonNode node, Consumer<String> fieldReport, ValidatorEngine validator)`
  `void`
  `walk(Consumer<Format> consumer)`
  Execute an action on each node of the TypeDef tree.

  ### Methods inherited from class fr.gouv.vitam.common.dsl.schema.meta.Format

  `consumeAllFields, getHint, getMax, getMin, getName, getReportingType, isOptional, setHint, setMax, setMin, setName, setOptional, setReportingType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFormat

    public ObjectFormat()

- ## Method Details

  - ### resolve

    protected void resolve(Schema schema)
    Description copied from class: `Format`
    Second phase of initialization, when the Format is associated to the Schema
    Specified by:
      `resolve` in class `Format`
    Parameters:
      `schema` - the schema it belongs to.

  - ### setElements

    public void setElements(Map<String,Format> elements)
    Accessor for Jackson set the map of the properties allowed for the object.

  - ### validate

    public void validate(com.fasterxml.jackson.databind.JsonNode node, Consumer<String> fieldReport, ValidatorEngine validator)
    Specified by:
      `validate` in class `Format`

  - ### walk

    public void walk(Consumer<Format> consumer)
    Description copied from class: `Format`
    Execute an action on each node of the TypeDef tree. E.g. to resolve type name of KindReference
    Specified by:
      `walk` in class `Format`
    Parameters:
      `consumer` - the action to do on the node

  - ### debugInfo

    public String debugInfo()
    Description copied from class: `Format`
    Return a short partial description of the type, useful of DSL users
    Specified by:
      `debugInfo` in class `Format`
    Returns:
      a description of the type (e.g. {"$foo":..., "$bar":... })